Bug 123140 - usb module config not migrated in upgrade
usb module config not migrated in upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-05-12 17:46 EDT by Mike McLean
Modified: 2014-03-16 22:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 15:56:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2004-05-12 17:46:27 EDT
* Upgrade from FC1 to FC2 candidate

After upgrade /etc/modprobe.conf does not have the expected usb module
info.  Therefore, all usb peripherals fail to work.
Comment 1 Jeremy Katz 2004-05-12 19:00:47 EDT
Building new anaconda (-4) now that looks to fix this for me.
Comment 2 Scott Sloan 2004-05-31 20:32:07 EDT
this also seems to happen when you upgrade the kernel from devel after
install FC2. 
Comment 3 Bill Nottingham 2004-06-01 00:45:47 EDT
At that point, there isn't really anything to migrate... it should
already be fine when you installed FC2. Is it not ok beforehand?
Comment 4 Scott Sloan 2004-06-01 09:27:33 EDT
Was working great before hand, updated to FC2 and had to rebuild my
modules.conf, mtab, and fstab.
Comment 5 Bill Nottingham 2004-06-01 12:16:07 EDT
Can you post your post-upgrade modprobe.conf?
Comment 6 Scott Sloan 2004-06-01 19:25:10 EDT
[scott@Curran415 scott]$ cat /etc/modprobe.conf
alias eth0 tulip
alias eth1 forcedeth
alias snd-card-0 snd-emu10k1
install snd-emu10k1 /sbin/modprobe --ignore-install snd-emu10k1 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-emu10k1 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-emu10k1
 
[scott@Curran415 scott]$
Comment 7 Bill Nottingham 2004-06-01 23:48:08 EDT
This is an upgrade of FC1, not a fresh install, correct?
Comment 8 Scott Sloan 2004-06-01 23:58:46 EDT
This is an upgrade.

[scott@Curran415 scott]$ /sbin/lsmod
Module                  Size  Used by
snd_pcm_oss            41000  0
udf                    78468  0
loop                   10760  0
snd_mixer_oss          13824  3 snd_pcm_oss
snd_emu10k1            71560  3
snd_rawmidi            17444  1 snd_emu10k1
snd_pcm                69256  2 snd_pcm_oss,snd_emu10k1
snd_timer              17284  1 snd_pcm
snd_seq_device          6152  2 snd_emu10k1,snd_rawmidi
snd_ac97_codec         54788  1 snd_emu10k1
snd_page_alloc          8072  2 snd_emu10k1,snd_pcm
snd_util_mem            3200  1 snd_emu10k1
snd_hwdep               6276  1 snd_emu10k1
snd                    39396  12
snd_pcm_oss,snd_mixer_oss,snd_emu10k1,snd_rawmidi,snd_pcm,snd_timer,snd_seq_device,snd_ac97_codec,snd_util_mem,snd_hwdep
soundcore               6112  3 snd
ipv6                  184032  12
parport_pc             19392  1
lp                      8236  0
parport                29640  2 parport_pc,lp
autofs4                12932  0
forcedeth              10624  0
tulip                  36256  0
ipt_REJECT              4736  1
ipt_state               1536  6
ip_conntrack           24968  1 ipt_state
iptable_filter          2048  1
ip_tables              13440  3 ipt_REJECT,ipt_state,iptable_filter
floppy                 47440  0
sg                     27552  0
scsi_mod               91728  1 sg
dm_mod                 33184  0
button                  4632  0
battery                 6924  0
asus_acpi               8984  0
ac                      3340  0
ext3                  103016  6
jbd                    40344  1 ext3

Note You need to log in before you can comment on or make changes to this bug.